For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Guías (Español)Guides (English)Referencia API
  • Referencia API
      • PUTActualizar un payment intent
LogoLogo
Referencia APIPayment Intents

Actualizar un payment intent

PUT
https://app.recurrente.com/api/payment_intents/:id
PUT
/api/payment_intents/:id
$curl -X PUT https://app.recurrente.com/api/payment_intents/id \
> -H "X-SECRET-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "payment_intent": {}
>}'
1{
2 "id": "pa_123",
3 "receipt_number": 1,
4 "api_version": "2024-04-24",
5 "created_at": "2024-01-15T09:30:00Z",
6 "checkout": {
7 "id": "ch_lmgbvesmihkqzma3",
8 "status": "paid",
9 "total_in_cents": 3000,
10 "subtotal_in_cents": 3500,
11 "discount": {
12 "amount_in_cents": 500,
13 "coupon": {
14 "id": "coup_ugwoxcp4",
15 "name": "VERANO25",
16 "discount_mode": "code",
17 "display_name": "string",
18 "amount_off_in_cents": 1500,
19 "percent_off": 1.1,
20 "automatically_applies": false,
21 "max_redemptions": 1,
22 "times_redeemed": 0,
23 "currency": "GTQ",
24 "duration": "once",
25 "expires_at": "2024-01-15T09:30:00Z",
26 "status": "active"
27 }
28 },
29 "currency": "GTQ",
30 "live_mode": true,
31 "success_url": "string",
32 "cancel_url": "string",
33 "expires_at": "2024-01-15T09:30:00Z",
34 "created_at": "2024-01-15T09:30:00Z",
35 "metadata": {},
36 "custom_fields": [
37 {
38 "field_id": "ccf_xxxxxxxxxxxx",
39 "key": "engraving",
40 "type": "text",
41 "value": "string"
42 }
43 ],
44 "transfer_setups": [
45 {
46 "id": "string",
47 "status": "string",
48 "amount_in_cents": 1,
49 "currency": "string",
50 "recipient_id": "string"
51 }
52 ],
53 "latest_intent": {
54 "id": "string",
55 "type": "string",
56 "created_at": "2024-01-15T09:30:00Z",
57 "data": {
58 "auth_code": "string"
59 }
60 },
61 "payment": {
62 "id": "string",
63 "paymentable": {
64 "type": "Subscription",
65 "id": "string",
66 "tax_name": "string",
67 "tax_id": "string",
68 "address": {
69 "address_line_1": "string",
70 "address_line_2": "string",
71 "city": "string",
72 "region": "string",
73 "country": "string",
74 "zip_code": "string"
75 },
76 "phone_number": "string"
77 }
78 },
79 "payment_method": {
80 "id": "string",
81 "type": "card",
82 "card": {
83 "last4": "4242",
84 "expiration_month": 12,
85 "expiration_year": 2028,
86 "network": "visa",
87 "issuer_name": "string"
88 },
89 "address": {
90 "address_line_1": "string",
91 "address_line_2": "string",
92 "city": "string",
93 "region": "string",
94 "country": "string",
95 "zip_code": "string"
96 },
97 "phone_number": "string"
98 }
99 },
100 "payment": {
101 "id": "string",
102 "paymentable": {
103 "type": "string",
104 "id": "string",
105 "tax_name": "string",
106 "tax_id": "string",
107 "address": {
108 "address_line_1": "string",
109 "address_line_2": "string",
110 "city": "string",
111 "region": "string",
112 "country": "string",
113 "zip_code": "string"
114 },
115 "phone_number": "string"
116 }
117 },
118 "customer_id": "string",
119 "user_id": "string",
120 "customer": {
121 "id": "string",
122 "email": "string",
123 "full_name": "string"
124 },
125 "failure_reason": "string",
126 "amount_in_cents": 500,
127 "currency": "GTQ",
128 "fee": 1,
129 "vat_withheld": 1,
130 "vat_withheld_currency": "string",
131 "used_presaved_payment_method": true,
132 "product": {
133 "id": "string"
134 },
135 "products": [
136 {
137 "id": "prod_9lstwgbr",
138 "status": "active",
139 "name": "El nombre de tu producto",
140 "description": "string",
141 "success_url": "string",
142 "cancel_url": "string",
143 "custom_terms_and_conditions": "string",
144 "phone_requirement": "none",
145 "address_requirement": "none",
146 "billing_info_requirement": "none",
147 "has_dynamic_pricing": false,
148 "prices": [
149 {
150 "id": "price_rky4dog7",
151 "amount_in_cents": 500,
152 "currency": "GTQ",
153 "charge_type": "one_time",
154 "billing_interval": "month",
155 "billing_interval_count": 1,
156 "periods_before_automatic_cancellation": 1,
157 "free_trial_interval": "string",
158 "free_trial_interval_count": 1,
159 "proration_behavior": "none",
160 "billing_cycle_anchor_day": 1,
161 "defer_to_billing_day": true
162 }
163 ],
164 "storefront_link": "https://app.recurrente.com/s/surf-office/el-nombre-de-tu-producto",
165 "metadata": {},
166 "custom_fields": [
167 {
168 "id": "ccf_xxxxxxxxxxxx",
169 "key": "engraving",
170 "type": "text",
171 "label": {
172 "_original": "Mensaje de grabado",
173 "en": "Engraving message",
174 "es": "Mensaje de grabado"
175 },
176 "optional": false,
177 "minimum_length": 1,
178 "maximum_length": 1,
179 "default_value": "string",
180 "options": [
181 {
182 "label": "string",
183 "value": "string"
184 }
185 ]
186 }
187 ],
188 "quantity": 1
189 }
190 ],
191 "tax_invoice_url": "string",
192 "channel": "Link de pago"
193}

Adjunta una URL de factura fiscal a un payment intent exitoso. Solo los intents con status succeeded pueden ser actualizados.

Was this page helpful?
Previous

Crear un reembolso

Next
Built with

Authentication

X-SECRET-KEYstring
Tu llave secreta de API

Path parameters

idstringRequired
ID del payment intent

Request

This endpoint expects an object.
payment_intentobjectRequired

Response

Payment intent actualizado
idstring
ID del payment intent
receipt_numberinteger

Número de recibo

api_versionstring

Versión de la API

created_atdatetime

Fecha de creación

checkoutobject
paymentobject or null

Información del pago

customer_idstring
ID del cliente
user_idstring
ID del usuario
customerobject
failure_reasonstring or null

Razón de fallo (si aplica)

amount_in_centsinteger
Monto en centavos
currencystring
Moneda
feeinteger

Comisión cobrada

vat_withheldinteger
IVA retenido
vat_withheld_currencystring or null
Moneda del IVA retenido
used_presaved_payment_methodboolean

Si se usó un método de pago guardado

productobject
productslist of objects
Productos incluidos en el pago
tax_invoice_urlstring or null
URL de la factura fiscal
channelstring
Canal de pago

Errors

400
Bad Request Error